<script>
import { select } from "d3-selection";




  // Properties
  export let data = [];
  export let year = 0;
  export let continent = "all";
  export let slider_value = 1800;

  $: year = slider_value-1800;
  
  const continents = ["all", "europe", "asia", "americas", "africa"];
  
  let start = true;
  let animate;
  

  // Year
  function yearSliding(){
    if (slider_value==2014){
      slider_value = 1800;
    } else {slider_value++}
  };
    
  const begin_button = () => {
    if (start) {
      animate = setInterval(yearSliding, 100);
      start = false;
    } else {
      start = true;
      clearInterval(animate);
    }
  };
  
  // Reset
  const reset_button = () => {
    start = true;
    slider_value = 1800;
    clearInterval(animate);
  }
  
  


  
   
  

</script>

<div class="col">
 <label for="year">Year:{slider_value}
 <input type="range" min="1800" max="2014" bind:value={slider_value} class="slider" id="myRange"/></label>
 <button class="btn btn-primary" type="button" on:click={begin_button} >{start ? "Start" : "Stop"}</button> 
 <button class="btn btn-primary" type="reset" on:click={reset_button} >Reset</button>
 <label for="continents">Choose a continent</label>
 <select bind:value={continent}>
  {#each continents as cont}
    <option type="text" value={cont}>{cont}</option>
  {/each}
 </select>
</div>
